ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
HTTPClientString.h File Reference
`#include "HTTPClientWrapper.h"`
`#include "HTTPClient.h"`

Go to the source code of this file.

## Functions
BOOL | HTTPStrInsensitiveCompare (CHAR *pSrc, CHAR *pDest, UINT32 nLength)
BOOL | HTTPStrSearch (CHAR *pSrc, CHAR *pSearched, UINT32 nOffset, UINT32 nScope, HTTP_PARAM *HttpParam)
CHAR | HTTPStrExtract (CHAR *pParam, UINT32 nOffset, CHAR Restore)
CHAR * | HTTPStrCaseStr (CHAR *pSrc, UINT32 nSrcLength, CHAR *pFind)
CHAR * | HTTPStrGetToken (CHAR *pSrc, UINT32 nSrcLength, CHAR *pDest, UINT32 *nDestLength)
UINT32 | HTTPStrGetDigestToken (HTTP_PARAM pParamSrc, CHAR *pSearched, HTTP_PARAM *pParamDest)
UINT32 | HTTPStrHToL (CHAR *s)
CHAR * | HTTPStrLToH (CHAR *dest, UINT32 nSrc)

## Function Documentation

CHAR* HTTPStrCaseStr | ( | CHAR * | pSrc,
|  | UINT32 | nSrcLength,
|  | CHAR * | pFind
| ) |  |

CHAR HTTPStrExtract | ( | CHAR * | pParam,
|  | UINT32 | nOffset,
|  | CHAR | Restore
| ) |  |

UINT32 HTTPStrGetDigestToken | ( | HTTP_PARAM | pParamSrc,
|  | CHAR * | pSearched,
|  | HTTP_PARAM * | pParamDest
| ) |  |

CHAR* HTTPStrGetToken | ( | CHAR * | pSrc,
|  | UINT32 | nSrcLength,
|  | CHAR * | pDest,
|  | UINT32 * | nDestLength
| ) |  |

UINT32 HTTPStrHToL | ( | CHAR * | s | ) |

BOOL HTTPStrInsensitiveCompare | ( | CHAR * | pSrc,
|  | CHAR * | pDest,
|  | UINT32 | nLength
| ) |  |

CHAR* HTTPStrLToH | ( | CHAR * | dest,
|  | UINT32 | nSrc
| ) |  |

BOOL HTTPStrSearch | ( | CHAR * | pSrc,
|  | CHAR * | pSearched,
|  | UINT32 | nOffset,
|  | UINT32 | nScope,
|  | HTTP_PARAM * | HttpParam
| ) |  |